Package com.complexible.stardog.icv

# Class ICV

java.lang.Object
com.complexible.stardog.icv.ICV

public final class ICV extends Object

Set of utility functions for dealing with Stardog ICV support.

Since:
  0.7
Version:
  6.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final org.slf4j.Logger`
  `LOGGER`
  `static final String`
  `PERMISSION_ICV`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<Constraint>`
  `constraintsFromGraph(Iterable<Statement> theGraph)`
  `static StatementSource`
  `constraintsToSource(Iterable<Constraint> theConstraints)`
  `static StatementSource`
  `constraintsToSource(Iterable<Constraint> theConstraints, Resource theContext)`
  `static Collection<Statement>`
  `toStatements(Constraint theConstraint)`
  Convert the Stardog IC into a collection of statements

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOGGER

    protected static final org.slf4j.Logger LOGGER

  - ### PERMISSION_ICV

    public static final String PERMISSION_ICV
    See Also:
      - Constant Field Values

- ## Method Details

  - ### toStatements

    public static Collection<Statement> toStatements(Constraint theConstraint)
    Convert the Stardog IC into a collection of statements
    Parameters:
      `theConstraint` - the constraint
    Returns:
      the constraint represented as a collection of statements

  - ### constraintsFromGraph

    public static Set<Constraint> constraintsFromGraph(Iterable<Statement> theGraph) throws StardogException
    Throws:
      `StardogException`

  - ### constraintsToSource

    public static StatementSource constraintsToSource(Iterable<Constraint> theConstraints)

  - ### constraintsToSource

    public static StatementSource constraintsToSource(Iterable<Constraint> theConstraints, Resource theContext)